This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 996209 - Review Request: knotter - A free and open source customizable interlace designer
Review Request: knotter - A free and open source customizable interlace designer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW DESIGN-SW
  Show dependency treegraph
 
Reported: 2013-08-12 12:25 EDT by Benedikt Schäfer
Modified: 2014-01-03 05:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 05:43:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Benedikt Schäfer 2013-08-12 12:25:05 EDT
Spec URL: http://ib54003.fedorapeople.org/rpm/knotter/f19/knotter.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/knotter/f19/knotter-0.9.4-1.fc19.src.rpm

Description: 
Interlace patterns are a kind of design historically used as a decorations in
many places and by different cultures. Some examples are Celtic knotworks and
Islamic interlaces. Knotter aims to allow its user to intuitively design such
patterns and to provide easy ways to integrate the result in external
general-purpose graphic software for this purpose designs created within 
Knotter can be saved in a custom Human-Readable format and exported as
scalable vector graphics and in a wide number of raster image formats.

Fedora Account System Username: ib54003
Comment 1 Miro Hrončok 2013-08-12 13:58:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
  
  You should add README and COPYING and AUTHORS to %doc
  
- %build honors applicable compiler flags or justifies otherwise.
  See:
  http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

- Large data in /usr/share should live in a noarch subpackage if package is arched.

- name-repeated-in-summary is relevant

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[?]: Package obeys FHS, except libexecdir and /usr/target.

     I'm not quite sure, if having code in datadir is a good idea.
     Consider finding a way to stor plugins in libdir instead, if possible

[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make.
[-]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[-]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 21217280 bytes in /usr/share 21217280
     knotter-0.9.4-1.fc18.x86_64.rpm
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: knotter-0.9.4-1.fc18.x86_64.rpm
          knotter-0.9.4-1.fc18.src.rpm
knotter.x86_64: W: spelling-error Summary(en_US) customizable -> customization
knotter.x86_64: W: name-repeated-in-summary C Knotter
knotter.x86_64: W: spelling-error %description -l en_US knotworks -> notworks, k notworks, knot works
knotter.src: W: spelling-error Summary(en_US) customizable -> customization
knotter.src: W: name-repeated-in-summary C Knotter
knotter.src: W: spelling-error %description -l en_US knotworks -> notworks, k notworks, knot works
knotter.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

[!] name-repeated-in-summary is relevant

Rpmlint (installed packages)
----------------------------
# rpmlint knotter
knotter.x86_64: W: spelling-error Summary(en_US) customizable -> customization
knotter.x86_64: W: name-repeated-in-summary C Knotter
knotter.x86_64: W: spelling-error %description -l en_US knotworks -> notworks, k notworks, knot works
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
knotter (rpmlib, GLIBC filtered):
    /bin/bash
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtScript.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
knotter:
    knotter
    knotter(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/project/knotter/0.9/knotter-0.9.4.tar.gz :
  CHECKSUM(SHA256) this package     : 5e5fbda3b051f3724f9aa6e5c1223626f4a8147c6f4ce8a7de245780dba0716b
  CHECKSUM(SHA256) upstream package : 5e5fbda3b051f3724f9aa6e5c1223626f4a8147c6f4ce8a7de245780dba0716b


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 996209
Comment 3 Miro Hrončok 2013-08-12 20:24:56 EDT
You forgot something ;)

- Large data in /usr/share should live in a noarch subpackage if package is arched.

- name-repeated-in-summary is relevant

What about the FHS?

And the CFLAGS thing is not relevant, sorry.
Comment 4 Christopher Meng 2013-08-12 20:53:34 EDT
Please change summary to:

A free and open source customizable interlace designer
Comment 5 Christopher Meng 2013-08-20 21:08:34 EDT
Ping
Comment 6 Miro Hrončok 2013-09-15 10:33:09 EDT
Benedikt, if you need any help, don't hesitate to ask.
Comment 7 Benedikt Schäfer 2013-09-15 15:35:23 EDT
(In reply to Miro Hrončok from comment #6)
> Benedikt, if you need any help, don't hesitate to ask.

Sorry, i was very very busy at the last time.
Comment 9 Miro Hrončok 2013-09-17 05:00:04 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== Issues ======

 * FHS: Shouldn't plugins go to /lib? Is that doable?
 * Remove shell scripts from icons folder

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.

[!]: Package obeys FHS, except libexecdir and /usr/target.
     Still not quite sure about this one. Shouldn't plugins go to /lib? Is that doable?

[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
     
[!]: Requires correct, justified where necessary.
     knotter-data requires bash, as it contains some scripts no longer needed.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in knotter-
     data
     Cannot be %{?_isa} on noarch.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: knotter-0.9.4-3.fc18.x86_64.rpm
          knotter-data-0.9.4-3.fc18.noarch.rpm
          knotter-0.9.4-3.fc18.src.rpm
knotter.x86_64: W: spelling-error Summary(en_US) customizable -> customization
knotter.x86_64: W: name-repeated-in-summary C Knotter
knotter.x86_64: W: spelling-error %description -l en_US knotworks -> notworks, k notworks, knot works
knotter.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
knotter-data.noarch: W: no-documentation
knotter.src: W: spelling-error Summary(en_US) customizable -> customization
knotter.src: W: name-repeated-in-summary C Knotter
knotter.src: W: spelling-error %description -l en_US knotworks -> notworks, k notworks, knot works
knotter.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint knotter-data knotter
knotter-data.noarch: W: no-documentation
knotter.x86_64: W: spelling-error Summary(en_US) customizable -> customization
knotter.x86_64: W: name-repeated-in-summary C Knotter
knotter.x86_64: W: spelling-error %description -l en_US knotworks -> notworks, k notworks, knot works
knotter.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
knotter-data (rpmlib, GLIBC filtered):
    /bin/bash
    knotter

knotter (rpmlib, GLIBC filtered):
    knotter-data
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtScript.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
knotter-data:
    knotter-data

knotter:
    knotter
    knotter(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/project/knotter/0.9/knotter-0.9.4.tar.gz :
  CHECKSUM(SHA256) this package     : 5e5fbda3b051f3724f9aa6e5c1223626f4a8147c6f4ce8a7de245780dba0716b
  CHECKSUM(SHA256) upstream package : 5e5fbda3b051f3724f9aa6e5c1223626f4a8147c6f4ce8a7de245780dba0716b


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Command line :./try-fedora-review -b 996209
Buildroot used: fedora-18-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 11 Miro Hrončok 2013-09-17 05:31:36 EDT
Be sure to examine the arm error. Consider consulting upstream or excluding the architecture.
Comment 12 Miro Hrončok 2013-10-02 08:30:41 EDT
bump
Comment 13 Miro Hrončok 2013-11-26 11:31:41 EST
Are you still interested in this?
Comment 14 Benedikt Schäfer 2013-11-27 04:02:19 EST
Hi,
sorry i was busy. Yes I am, i hope i can finish it today :)
Comment 15 Miro Hrončok 2013-12-27 16:14:47 EST
You ahven't reacted in one month. This review is now stalled and a response is needed soon.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Note You need to log in before you can comment on or make changes to this bug.